DEF VAR sp-companycode AS CHAR NO-UNDO.
DEF VAR lOk            AS LOG  NO-UNDO INIT TRUE.
def var iCount1        as int no-undo.
def var iCount2        as int no-undo.
def var iLoop          as int no-undo.
DEF VAR cSubleaseStart AS CHAR NO-UNDO.
DEF VAR cSubleaseStop  AS CHAR NO-UNDO.
DEF VAR cStatus        AS CHAR NO-UNDO.


DEF BUFFER b-ec-container_history-START FOR ec-container_history.
DEF BUFFER b-ec-container_history-STOP  FOR ec-container_history.
DEF BUFFER b-ec-container_history-next  FOR ec-container_history.

disable triggers for load of b-ec-container_history-START.
disable triggers for load of b-ec-container_history-STOP.
disable triggers for load of b-ec-container_history-next.

sp-companycode = "EUC".
FOR EACH ec-status WHERE 
         ec-status.companycode = sp-companycode:
  IF ec-status.actioncontract = "SL"
  THEN cSubleaseStart = cSubleaseStart + (IF cSubleaseStart = "" THEN "" ELSE ",")
                      + ec-status.statuscode.   
  IF ec-status.actioncontract = "SO"
  THEN cSubleaseStop = cSubleaseStop + (IF cSubleaseStop = "" THEN "" ELSE ",")
                     + ec-status.statuscode.   
END.


  DO iLoop = 1 TO NUM-ENTRIES(cSubleaseStart):
    
    cStatus = ENTRY(iLoop,cSubleaseStart).
    container:
    FOR EACH b-ec-container_history-START NO-LOCK WHERE
             b-ec-container_history-START.companycode  = sp-companycode
         AND b-ec-container_history-START.statuscode   = cStatus
             USE-INDEX statuscode:  
      if b-ec-container_history-START.ind_sublease = true
      then do transaction:
/*        find current b-ec-container_history-START exclusive.
        b-ec-container_history-START.ind_sublease = false. */
        iCount1 = iCount1 + 1.
      end. 
    END.
    
  END.

  DO iLoop = 1 TO NUM-ENTRIES(cSubleaseStop):
    
    cStatus = ENTRY(iLoop,cSubleaseStop).
    container:
    FOR EACH b-ec-container_history-stop NO-LOCK WHERE
             b-ec-container_history-stop.companycode  = sp-companycode
         AND b-ec-container_history-stop.statuscode   = cStatus
         AND b-ec-container_history-stop.ind_sublease = FALSE
             USE-INDEX statuscode:  
      do transaction:
/*        find current b-ec-container_history-stop exclusive.
        delete b-ec-container_history-stop. */
      end. 
      iCount2 = iCount2 + 1.
    END.
    
  END.
  


MESSAGE iCount1 iCount2
        VIEW-AS ALERT-BOX. 
