/*------------------------------------------------------------------------
  File        : WebApp/EC/BL/Container.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 31-08-2018 16:56:54
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttContainer BEFORE-TABLE bttContainer
    FIELD act_dest_portcode LIKE ec-container.act_dest_portcode
    FIELD act_dt_move LIKE ec-container.act_dt_move
    FIELD act_full_empty LIKE ec-container.act_full_empty
    FIELD act_linecode LIKE ec-container.act_linecode
    FIELD act_locationcode LIKE ec-container.act_locationcode
    FIELD act_motcode LIKE ec-container.act_motcode
    FIELD act_pod_portcode LIKE ec-container.act_pod_portcode
    FIELD act_pol_portcode LIKE ec-container.act_pol_portcode
    FIELD act_servicecode LIKE ec-container.act_servicecode
    FIELD act_statuscode LIKE ec-container.act_statuscode
    FIELD act_vesselcode LIKE ec-container.act_vesselcode
    FIELD attachmentnr LIKE ec-container.attachmentnr
    FIELD blnr LIKE ec-container.blnr
    FIELD blocked_on_vessel LIKE ec-container.blocked_on_vessel
    FIELD bookingnr LIKE ec-container.bookingnr
    FIELD calc_a_1_last_vessel_move AS INTEGER LABEL "move_refnr"
    FIELD calc_dt_onhire AS DATE LABEL "Date on hire"
    FIELD calc_z_discharge_date AS CHARACTER LABEL "Discharge Date"
    FIELD calc_z_discharge_location AS CHARACTER LABEL "Discharged in"
    FIELD calc_z_idle_days AS INTEGER LABEL "Days idle"
    FIELD calc_z_lastvessel AS CHARACTER LABEL "Discharged from"
    FIELD calc_z_lastvesselcode AS CHARACTER LABEL "Last vessel"
    FIELD calc_z_onhire_days AS INTEGER LABEL "Days on hire"
    FIELD companycode LIKE ec-container.companycode
    FIELD conditioncode LIKE ec-container.conditioncode
    FIELD container_model_number LIKE ec-container.container_model_number
    FIELD containernr LIKE ec-container.containernr
    FIELD containerprefix LIKE ec-container.containerprefix
    FIELD counter LIKE ec-container.counter
    FIELD csc_remarks LIKE ec-container.csc_remarks
    FIELD customer LIKE ec-container.customer
    FIELD damage_remarks LIKE ec-container.damage_remarks
    FIELD des LIKE ec-container.des
    FIELD dis_locationcode LIKE ec-container.dis_locationcode
    FIELD door_cbm LIKE ec-container.door_cbm
    FIELD door_height LIKE ec-container.door_height
    FIELD door_width LIKE ec-container.door_width
    FIELD dt_issuance LIKE ec-container.dt_issuance
    FIELD dt_rep_cargo_bars_check LIKE ec-container.dt_rep_cargo_bars_check
    FIELD dt_rep_last_cleaning LIKE ec-container.dt_rep_last_cleaning
    FIELD dt_rep_last_pti LIKE ec-container.dt_rep_last_pti
    FIELD ext_addressnr LIKE ec-container.ext_addressnr
    FIELD ext_alfa_1 LIKE ec-container.ext_alfa_1
    FIELD ext_alfa_2 LIKE ec-container.ext_alfa_2
    FIELD ext_alfa_3 LIKE ec-container.ext_alfa_3
    FIELD ext_alfa_4 LIKE ec-container.ext_alfa_4
    FIELD ext_alfa_5 LIKE ec-container.ext_alfa_5
    FIELD ext_date_1 LIKE ec-container.ext_date_1
    FIELD ext_date_2 LIKE ec-container.ext_date_2
    FIELD ext_dec_1 LIKE ec-container.ext_dec_1
    FIELD ext_dec_2 LIKE ec-container.ext_dec_2
    FIELD ext_height LIKE ec-container.ext_height
    FIELD ext_int_1 LIKE ec-container.ext_int_1
    FIELD ext_int_2 LIKE ec-container.ext_int_2
    FIELD ext_length LIKE ec-container.ext_length
    FIELD ext_linecode LIKE ec-container.ext_linecode
    FIELD ext_locationcode LIKE ec-container.ext_locationcode
    FIELD ext_motcode LIKE ec-container.ext_motcode
    FIELD ext_portcode LIKE ec-container.ext_portcode
    FIELD ext_statuscode LIKE ec-container.ext_statuscode
    FIELD ext_width LIKE ec-container.ext_width
    FIELD heavytested LIKE ec-container.heavyTested
    FIELD ind_damaged LIKE ec-container.ind_damaged
    FIELD ind_historic LIKE ec-container.ind_historic
    FIELD ind_non_operating_reefer LIKE ec-container.ind_non_operating_reefer
    FIELD ind_soc LIKE ec-container.ind_soc
    FIELD inspected_addressnr LIKE ec-container.inspected_addressnr
    FIELD int_height LIKE ec-container.int_height
    FIELD int_length LIKE ec-container.int_length
    FIELD int_width LIKE ec-container.int_width
    FIELD manufactory LIKE ec-container.manufactory
    FIELD material LIKE ec-container.material
    FIELD maxload LIKE ec-container.maxLoad
    FIELD name_manufacturer LIKE ec-container.name_manufacturer
    FIELD name_surveyor LIKE ec-container.name_surveyor
    FIELD next_csc LIKE ec-container.next_csc
    FIELD overheight LIKE ec-container.overheight
    FIELD overlength_back LIKE ec-container.overlength_back
    FIELD overlength_front LIKE ec-container.overlength_front
    FIELD overwidth_left LIKE ec-container.overwidth_left
    FIELD overwidth_right LIKE ec-container.overwidth_right
    FIELD redelivery_details LIKE ec-container.redelivery_details
    FIELD remark LIKE ec-container.remark
    FIELD sealno LIKE ec-container.sealno
    FIELD serial_number LIKE ec-container.serial_number
    FIELD servicecode LIKE ec-container.servicecode
    FIELD stacking_remarks LIKE ec-container.stacking_remarks
    FIELD substatuscode LIKE ec-container.substatuscode
    FIELD tare LIKE ec-container.tare
    FIELD tech_spec_number LIKE ec-container.tech_spec_number
    FIELD tolerance LIKE ec-container.tolerance
    FIELD typecode LIKE ec-container.typecode
    FIELD unit_model_number LIKE ec-container.unit_model_number
    FIELD vesselnr LIKE ec-container.vesselnr
    FIELD weight LIKE ec-container.weight
    FIELD xref_consignee AS CHARACTER LABEL "Consignee (CA)"
    FIELD xref_container AS CHARACTER LABEL "Container"
    FIELD xref_contract AS CHARACTER LABEL "Contract"
    FIELD xref_customer AS CHARACTER LABEL "Customer"
    FIELD xref_leasingcompany AS CHARACTER LABEL "Leasing Company"
    FIELD xref_off_hire_location AS CHARACTER LABEL "Off hire location"
    FIELD xref_off_hire_reference AS CHARACTER LABEL "Off hire reference"
    FIELD xref_off_hire_refnr AS INTEGER LABEL "Off hire nr"
    FIELD xref_shipper AS CHARACTER LABEL "Shipper (CA)"
    FIELD xref_voyage AS CHARACTER LABEL "Voyage"
.

DEFINE DATASET dsContainer FOR ttContainer.