DEF VAR cLine     AS CHAR NO-UNDO.
DEF VAR lRead     AS LOG  NO-UNDO INIT TRUE.
DEF VAR cFilename AS CHAR NO-UNDO.
DEF VAR cHeader   AS CHAR NO-UNDO.

FOR EACH aa-vessel WHERE
         aa-vessel.companycode = "ROW":
  DELETE aa-vessel.
END.

cFilename = "C:\edi\eucon\mc\Vessels new.txt".
INPUT FROM VALUE( cFilename ).

DO WHILE lRead:
  RUN spReadLine (OUTPUT cLine
                 ,OUTPUT lRead ).
  IF lRead
  THEN DO:
    IF cHeader = "" 
    THEN cHeader = cLine.
    ELSE DO TRANSACTION:
      IF NOT CAN-FIND(aa-vessel NO-LOCK WHERE
                      aa-vessel.companycode    = "ROW"
                  AND aa-vessel.vesselnr       = int(ENTRY(1,cLine,CHR(9))) )   
      THEN DO:
        CREATE aa-vessel.
        ASSIGN aa-vessel.call_signcode  = ENTRY(6,cLine,CHR(9))
               aa-vessel.companycode    = "ROW"
               aa-vessel.des            = ENTRY(2,cLine,CHR(9))
               aa-vessel.ind_voyage_out = TRUE
               aa-vessel.ind_voyage_in  = TRUE
               aa-vessel.vesselnr       = int(ENTRY(1,cLine,CHR(9)))
               aa-vessel.voyno_in       = ENTRY(3,cLine,CHR(9))
               aa-vessel.voyno_out      = ENTRY(3,cLine,CHR(9))
               aa-vessel.dtm_eta        = date(ENTRY(4,cLine,CHR(9)))
               aa-vessel.dtm_ets        = date(ENTRY(5,cLine,CHR(9)))
               .
      END.
    END.
  END.
END. 

INPUT CLOSE.

PROCEDURE spReadLine:
  DEF OUTPUT PARAMETER pcLine AS CHAR NO-UNDO.
  DEF OUTPUT PARAMETER plOk   AS LOG  NO-UNDO INIT FALSE.

  IMPORT UNFORMATTED pcLine.
  
  ASSIGN plOk = TRUE.    

END PROCEDURE.


