/*
DEF VAR iSeqnr AS INT NO-UNDO.
DEF BUFFER b-ec-container_history FOR ec-container_history.

FOR EACH ec-container NO-LOCK WHERE
         ec-container.companycode = "row":
         
  DO TRANSACTION:
    FOR EACH b-ec-container_history EXCLUSIVE WHERE
             b-ec-container_history.companycode     = ec-container.companycode
         AND b-ec-container_history.containerprefix = ec-container.containerprefix 
         AND b-ec-container_history.containernr     = ec-container.containernr
             USE-INDEX dt_move:
      iSeqnr = INT(b-ec-container_history.TIME_move).
      DO WHILE CAN-FIND(FIRST ec-container_history NO-LOCK WHERE
                              ec-container_history.companycode     = b-ec-container_history.companycode
                          AND ec-container_history.containerprefix = b-ec-container_history.containerprefix 
                          AND ec-container_history.containernr     = b-ec-container_history.containernr
                          AND ec-container_history.dt_move         = b-ec-container_history.dt_move
                          AND ec-container_history.DATE_seq        = iSeqnr) :
        iSeqnr = iSeqnr + 1.
      END.
      b-ec-container_history.DATE_seq = iSeqnr.
    END.
  END.
END.
*/

FIND sp-setting WHERE
     sp-setting.klantkode    = "" 
 AND sp-setting.userkode     = "" 
 AND sp-setting.settingtype  = "ec-time_move"
 AND sp-setting.settingid    = "ROW"
 AND sp-setting.settingkode  = ""
     EXCLUSIVE NO-ERROR.
IF NOT AVAIL sp-setting 
THEN DO:
  CREATE sp-setting.
  ASSIGN sp-setting.klantkode    = ""            
         sp-setting.userkode     = ""            
         sp-setting.settingtype  = "ec-time_move"
         sp-setting.settingid    = "ROW"         
         sp-setting.settingkode  = ""            .
END.
sp-setting.setting1 = "YES".       


